GNUCAP(1)

NAME
gnucap - GNU Circuit Analysis Package

SYNOPSIS
gnucap [-b filename] [-i filename]

DESCRIPTION
GNUCAP is a general purpose circuit simulator. It performs nonlinear dc and transient analyses, fourier analysis, and ac analysis linearized at an operating point. It is fully interactive and command driven. It can also be run in batch mode or as a server. The output is produced as it simulates. Spice compatible models for the MOSFET (level 1,2,3) and diode are included in this release.

Since it is fully interactive, it is possible to make changes and re-simulate quickly. The interactive design makes it well suited to the typical iterative design process used it optimizing a circuit design. It is also well suited to undergraduate teaching where Spice in batch mode can be quite intimidating. This version, while still officially in beta test, should be stable enough for basic undergraduate teaching and courses in MOS design, but not for bipolar design.

In batch mode it is mostly Spice compatible, so it is often possible to use the same file for both GNUCAP and Spice.

The analog simulation is based on traditional nodal analysis with iteration by Newton's method and LU decomposition. An event queue and incremental matrix update speed up the solution for large circuits (at some expense for small circuits).

It also has digital devices for mixed signal simulation. The digital devices may be implemented as either analog subcircuits or as true digital models. The simulator will automatically determine which to use. Networks of digital devices are simulated as digital, with no conversions to analog between gates. This results in digital circuits being simulated faster than on a typical analog simulator, even with behavioral models. The digital mode is experimental and needs work. There will be substantial improvements in future releases.

OPTIONS
Two command-line options are available. Only one of these may be specified. If no parameters are given, gnucap will start in interactive mode.

-b filename
    execute the commands in the named file then exit (batch mode)

-i filename
    execute the commands in the named file then go into interactive mode

BUGS
See /usr/share/doc/gnucap/bugs for a list of known bugs in this release.

GNUCAP is an ongoing research project. It is being released in a preliminary phase in hopes that it will be useful and that others will use it as a thrust or base for their research. I also hope for some comments that may help me direct my research.

AUTHOR
GNUCAP is being written by Albert Davis <aldavis@ieee.org>

This manual page was written by Jon Rabone <jkr@debian.org> and maintained by Hamish Moffatt <hamish@debian.org> for the Debian package of gnucap. For the full LaTeX documentation, please see /usr/share/doc/gnucap/manual.